Skip to main content

API Reference

Welcome to the Flowlyze API documentation. This page summarizes the authentication method and common requirements.

Available API Tags​

The API is organized by the following tags:

  • Batch - Batch processing operations
  • BatchTask - Batch task management
  • BlockedTopic - Blocked topic operations
  • Dashboard - Dashboard-related endpoints
  • DataSpace - Data space management
  • Destination - Destination configuration
  • EditableFlow - Flow editing operations
  • Flow - Flow management
  • GlobalVariable - Global variable management
  • IngressIncrementalField - Incremental field operations
  • Logs - Logging and monitoring
  • LowCodeAction - Low-code action operations
  • MessageInfo - Message information
  • MessageQueue - Message queue operations
  • Metadata - Metadata management
  • Platform - Platform operations
  • PlatformGlobal - Global platform settings
  • PlatformTenantGlobal - Tenant-specific platform settings
  • Queue - Queue management
  • SecretGlobalVariable - Secret variable management
  • Statistic - Statistics and analytics
  • Tenant - Tenant management
  • Test - Testing endpoints
  • UserSettings - User settings management
  • Version - Version information

Authentication (OAuth 2.0 – client_credentials)​

Flowlyze APIs use OAuth 2.0 with the client_credentials grant type.

  • Identity Provider: Auth0
  • Auth0 Base URL: https://secure-oauth-prd.eu.auth0.com/
  • Token endpoint (Auth0 convention): POST https://secure-oauth-prd.eu.auth0.com/oauth/token

Requesting a token (example):

curl -X POST \
https://secure-oauth-prd.eu.auth0.com/oauth/token \
-H "content-type: application/json" \
-d '{
"grant_type": "client_credentials",
"client_id": "<CLIENT_ID>",
"client_secret": "<CLIENT_SECRET>",
"audience": "<API_AUDIENCE>"
}'

Typical response:

{
"access_token": "eyJhbGciOi...",
"token_type": "Bearer",
"expires_in": 86400
}

Use the token in API calls:

Authorization: Bearer <ACCESS_TOKEN>

Required multi-tenant header​

APIs are multi-tenant. You must specify the working tenant with the header:

tenant_id: <TENANT_ID>

This header must be included in every request to the APIs.

Documentation contents​

For each API tag you will find:

  • Available endpoints
  • Request/response schemas
  • Authentication requirements
  • Example requests and responses

Use the sidebar to browse API categories.